"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.INSERT_INTO = void 0;
const prelude_1 = require("@blackglory/prelude");
const utils_1 = require("../utils");
function INSERT_INTO(table, fields) {
    const truthyFields = fields.filter(prelude_1.isntFalsy);
    (0, prelude_1.assert)((0, utils_1.isntEmptyString)(table), 'table should not be an empty string');
    (0, prelude_1.assert)((0, utils_1.isntEmptyArray)(truthyFields), 'fields should not be empty');
    (0, prelude_1.assert)(truthyFields.every(utils_1.isntEmptyString), 'fields should not contain empty strings');
    return `INSERT INTO ${table} (${truthyFields.join(', ')})`;
}
exports.INSERT_INTO = INSERT_INTO;
//# sourceMappingURL=insert-into.js.map