"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VALUES = void 0;
const prelude_1 = require("@blackglory/prelude");
const utils_1 = require("../utils");
function VALUES(...values) {
    const truthyValues = values.filter(prelude_1.isntFalsy);
    (0, prelude_1.assert)((0, utils_1.isntEmptyArray)(truthyValues), 'values should not be empty');
    (0, prelude_1.assert)(truthyValues.every(utils_1.isntEmptyArray), 'values should not contain empty arries');
    (0, prelude_1.assert)(truthyValues.every(xs => xs.every(utils_1.isntEmptyString)), 'values should not contain empty strings');
    return `VALUES ${truthyValues.map(x => `(${x.join(', ')})`).join(', ')}`;
}
exports.VALUES = VALUES;
//# sourceMappingURL=values.js.map