"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParameterCollector = void 0;
const fromPairs_1 = __importDefault(require("lodash/fromPairs"));
class ParameterCollector {
    constructor(prefix) {
        this.prefix = prefix;
        this.values = [];
    }
    add(value) {
        const index = this.values.push(value);
        return this.createKey(index);
    }
    toRecord() {
        const entries = this.values.map((x, i) => [this.createKey(i + 1), x]);
        return (0, fromPairs_1.default)(entries);
    }
    toArray() {
        return [...this.values];
    }
    createKey(index) {
        return `${this.prefix}${index}`;
    }
}
exports.ParameterCollector = ParameterCollector;
//# sourceMappingURL=parameter-collector.js.map